<?php
/*
Plugin Name: Exact Dimensions
Plugin URI: http://wordpress.org/plugins/exact-dimension
sDescription: The plugin Exact Dimensions adds an updating viewport width and height to the WordPress admin bar (but only when you are logged in as administrator).
Version: 1.0
Author: Jack Fishkins
*/

function exact_dimension_add( $admin_bar ) {
	$admin_bar->add_menu( array(
	    'id'    => 'ed-vpwidth', 
	    'parent' => 'top-secondary',
	    'title' => 'Viewport',
	    'href'  => '#',
	    'meta'  => array(
	    'title' => __('Viewport width'),
	    ),
	) );
}

function exact_dimension_register() {
	wp_register_script('ed_mqhelper', plugins_url('/js/ed-dhelper.js', __FILE__), array('jquery'), '1.0', true);
}

function exact_dimension_print() {
	wp_print_scripts('ed_mqhelper'); 		
}

// Do everything, but not in the admin area thanks buddy
function exact_dimension_do() {
	if ( is_super_admin() && !is_admin() ) {
		add_action( 'admin_bar_menu', 'exact_dimension_add' );
		add_action('init', 'exact_dimension_register');
		add_action('wp_footer', 'exact_dimension_print');
	}	
}

add_action('init', 'exact_dimension_do', 1);

?>